### Name: data.frame
### Title: Data Frames
### Aliases: data.frame as.data.frame is.data.frame row.names
###   row.names.data.frame row.names.default row.names<-
###   row.names<-.data.frame row.names<-.default plot.data.frame
###   as.data.frame.AsIs as.data.frame.character as.data.frame.complex
###   as.data.frame.data.frame as.data.frame.default as.data.frame.factor
###   as.data.frame.integer as.data.frame.list as.data.frame.logical
###   as.data.frame.matrix as.data.frame.model.matrix as.data.frame.numeric
###   as.data.frame.ordered as.data.frame.ts as.data.frame.vector
###   xpdrows.data.frame
### Keywords: classes methods

### ** Examples

L3 <- LETTERS[1:3]
str(d <- data.frame(cbind(x=1, y=1:10), fac=sample(L3, 10, repl=TRUE)))

## The same with automatic column names:
str(     data.frame(cbind(  1,   1:10),     sample(L3, 10, repl=TRUE)))
is.data.frame(d)

## do not convert to factor, using I() :
str(cbind(d, char = I(letters[1:10])), vec.len = 10)

stopifnot(1:10 == row.names(d))# {coercion}

(d0  <- d[, FALSE]) # NULL data frame with 10 rows
(d.0 <- d[FALSE, ]) # <0 rows> data frame  (3 cols)
(d00 <- d0[FALSE,])  # NULL data frame with 0 rows



